empire-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Francis De Brabandere (JIRA)" <empire-db-...@incubator.apache.org>
Subject [jira] [Updated] (EMPIREDB-222) Switch to JDK7
Date Thu, 06 Aug 2015 14:30:05 GMT

     [ https://issues.apache.org/jira/browse/EMPIREDB-222?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Francis De Brabandere updated EMPIREDB-222:
-------------------------------------------
    Description: 
I suggest we drop compatibility with JDK6 as public support already ended years ago (Feb 2013)

initiated by:
There seems to be a ssl certificate issue with building on JDK6, I switched the build to latest
JDK7 to fix this. (jenkins)

Would of course also allow us to use java 6 and 7 features
eg: Diamond Operator, Using strings in switch statements, Automatic resource management, ...

  was:
I suggest we drop compatibility with JDK6 as public support already ended years ago (Feb 2013)

initiated by:
There seems to be a ssl certificate issue with building on JDK6, I switched the build to latest
JDK7 to fix this. (jenkins)


> Switch to JDK7
> --------------
>
>                 Key: EMPIREDB-222
>                 URL: https://issues.apache.org/jira/browse/EMPIREDB-222
>             Project: Empire-DB
>          Issue Type: Improvement
>          Components: Core
>            Reporter: Francis De Brabandere
>            Assignee: Francis De Brabandere
>            Priority: Minor
>             Fix For: empire-db-2.4.4
>
>
> I suggest we drop compatibility with JDK6 as public support already ended years ago (Feb
2013)
> initiated by:
> There seems to be a ssl certificate issue with building on JDK6, I switched the build
to latest JDK7 to fix this. (jenkins)
> Would of course also allow us to use java 6 and 7 features
> eg: Diamond Operator, Using strings in switch statements, Automatic resource management,
...



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message